Pressing Enter in edit summary should not save the page
Closed, DeclinedPublic

Description

Author: 3tx38k

Description:

Request layout change on editing buttons

Hi, Sysop.
This is serious problem and its request. I describe current condition and change request or solution here.
On Wikipedia, the final course of article edit or new article creation, user handles fill in "'''Edit summary'''", three button of "'''Save page'''", " '''Show preview'''" and "'''Show changes'''".
Current lay out of these are '''Edit summary frame''' and '''three buttons''', Edit summary comes first, then Save page, and Show Preview and Show changes are following.

My request herein is based on many number of Japanese language oriented users and please understand that I am representing those users.

I now put the REQUEST here, Edit summary, as is now, then CHANGE REQUEST IS put "Show Preview" in first, then "Save Page" then "Show Changes".
'''Simply relocate "Save Page" and Show Preview" button layout or order'''.

Now, I describe the reason of request.
As far as when user place [[Cursor (computers)|Cursor]] in Edit Summary frame with or without fill-in the frame, and press [[Enter key]] as delimiter of fill-in sentence or Press Enter key with mistake or erroneously, Enter key proceeds to save page as Wikipedia is designated.
If "Show Preview" then "Save Page" button is lay out as requested, pressing Enter key proceeds show preview, so that
erroneous saving page is avoided.
English language and most other language oriented users may not feel current layout of buttons is not inconvenient, because Enter Key is used as a delimiter of Edit Summary single line sentence, and erroneous pressing of Enter is his own mistake.
Now, I must describe how Japanese language is editing on computer by keyboard. There is a subprogram called [[Input method editor|IME]], some time called front end processor for program and in between keyboard and program, Wikipedia is as well.
Even for editing Japanese user is writing English like [[Alphabet]] [[Letter (alphabet)|letter]] or [[Character (computing)|character]], the conditions is the exactly the same to English language oriented user, including erroneous Enter Key pressing.

Japanese language editing, however, uses [[Input method editor|IME]] facility and use of IME is mandatory to make Japanese language with mixture of [[Kanji]], [[Hiragana]], [[Katakana]], [[Alphabet]] and Numeral and symbols letters.
To create [[Kanji]] in sentence, types word(s) or a sentence with [[hiragana]] or [[Romaji]] as first step, then press Enter Key to delimits and converts to Kanji. The chances of pressing Enter key in usual Japanese language sentences is too many times. In course of Japanese sentence making, pressing Enter key is quite frequently mistakenly pressed. Mistakenly pressed Enter Key, however, does not create serious problem, it is well able to recover as normal procedure.
Wikipedia, however, fill-in "Edit Summary" frame with Japanese Language and mistakenly press Enter key goes to "Save Page", and this is serious that erroneously edit the article or discussion pages.

According to the article of [[Input method editor|IME]], Chinese, Japanese, Korean and Indic characters uses IME and probably facing the same erroneous save page is occurred.
These language user who use IME facility have much much more chance of erroneous pressing of Enter key than English or other language user.

For clarity, note that pressing Enter Key with IME is not sentence delimiter, but it is converting order of [[Kanji]] or Chinese, Korean and Indic characters, and chances of pressing Enter Key within single sentence is depends on the how many number of Kanji like none-Alphabet letter is embedded.

Not only for Chinese, Japanese, Korean and Indic characters user,''' but also English and other language user, Erroneous press of Enter Key''' within a frame of Edit summary is a problem to erroneously "save page"of article or discussion.
To change lay out of button of "Save page" and "Show Preview" location only for Chinese, Japanese, Korean and Indic characters or language oriented Wikipedia edition seems not practical, and this request might apply to '''ALL LANGUAGE EDITION as BIG Changes.'''
If possible, "Save page" with '''orange colored''', and "Show preview" with '''green colored''' is more noticeable for all user to avoid erroneous operation.
If large notice or warning sentence is proceeding for such BIG CHANGE and possibility colored, none of Wikipedia user is confused with such sudden changes.
I am described above for Wikipedia, but this request apply to all sites of Wikimedia Foundation, Inc.(Commons, Wikinews, Wiktionary, Wikiquote, Wikibooks, Wikisource, Wikispecies, Wikiversity and Meta-Wiki), and relating site such as '''MediaWiki ''' sites and ALL language editions.
Your consideration of above request will be highly appreciated and thank you in advance and if you need more talks on this subject, I welcome discussion with you as presenting some great number of Japanese language oriented user. Thank you again.--[[User:Namazu-tron|Namazu-tron]] ([[User talk:Namazu-tron|talk]]) 11:04, 15 February 2008 (UTC)

PS:</br>I know about Japanese and English only. Wikipedia is multi-language encyclopedia and user does use all most any language.
IME or IME like front end process sub program used on Chinese, Japanese, Korean and Indic characters, but it is assumable that IME like function is used on some number of language on computer keyboard to create its own letters or words. Enter key may have specific function on each IME like other than sentence delimiter.
In such context, Enter key in Edit Summary for save page should be avoided. To safer way is relocate the position of save page button and show preview button. Please do not think about only English language or English alike language editing. --[[User:Namazu-tron|Namazu-tron]] ([[User talk:Namazu-tron|talk]]) 01:55, 17 February 2008 (UTC)


Version: 1.12.x
Severity: major
URL: http://en.wikipedia.org/wiki/Wikipedia_talk:Administrators#Request_layout_change_on_editing_buttons

bzimport set Reference to bz13065.
bzimport created this task.Via LegacyFeb 19 2008, 5:13 AM
bzimport added a comment.Via ConduitFeb 19 2008, 5:22 AM
Huji added a comment.Via ConduitFeb 19 2008, 4:47 PM

With the reasoning you provided, I think what you are seeking here is that Enter key shouldn't submit the form for saving; instead, you want Enter key to submit the form for previewing. Beyond this, is there any reason for alternating the position of Save and Preview buttons?

bzimport added a comment.Via ConduitFeb 20 2008, 1:03 AM

3tx38k wrote:

(In reply to comment #2)

With the reasoning you provided, I think what you are seeking here is that
Enter key shouldn't submit the form for saving; instead, you want Enter key to
submit the form for previewing. Beyond this, is there any reason for
alternating the position of Save and Preview buttons?

  1. Yes, What I am seeking is that as far as the [[Cursor (computers)]] is in the frame of Edit summary and pressing Enter key should NOT go to save page.

Hopefully Pressing Enter key proceeds to "Show Preview" at least, or if practical or feasible, Pressing Enter key should not do any further action to Wikipedia.

  1. The above is only my request and this to apply all Wikipedia foundation related sites and MediaWiki site.
  2. Relocation request of “save page” button and “show Preview” button is my miss leading of “discussion” in Japanese talk page with other people.

I do not know HTML language. Current designation is that when placing Cursor in Edit Summery frame, the “save page” button is shaded, and pressing Enter key within Edit summary frame takes action of shaded button which is Save page as default or logic of HTML language.

  1. I miss leaded that someone said, actually no body said in fact, HTML logic is to shade succeeding button as default logic and takes action what button is aiming. My miss leaded request is based on this fact to relocate save page and show preview button.
  2. As far as you can change for 1. and 2 above, relocation of button is not necessary.

Thank you for your attention. [[User:Namazu-tron]]

Huji added a comment.Via ConduitFeb 20 2008, 7:00 AM

The shading always happens to the button which is the default submit button of a form. As soon as we change the default submit button from Save button to Preview button, not only pressing Enter will result in a preview, but also it would be the Preview button which would get shaded when you place the cursor in the edit summary box.

Technically, applying this change takes a few seconds :) Practically, I'm not sure if this is desirable. Although, based on what you said, there seems to be a body of Japanese Wikipedia editors who think of it as a useful modification, I believe further agreements are needed for it to be applied.

I guess Brion may have a word to two to share about it.

bzimport added a comment.Via ConduitFeb 20 2008, 1:01 PM

3tx38k wrote:

(In reply to comment #4)

The shading always happens to the button which is the default submit button of
a form. As soon as we change the default submit button from Save button to
Preview button, not only pressing Enter will result in a preview, but also it
would be the Preview button which would get shaded when you place the cursor in
the edit summary box.
Technically, applying this change takes a few seconds :) Practically, I'm not
sure if this is desirable. Although, based on what you said, there seems to be
a body of Japanese Wikipedia editors who think of it as a useful modification,
I believe further agreements are needed for it to be applied.
I guess Brion may have a word to two to share about it.

I understand Japanese language and English language only so that I can edit these two language edition sites.
I can not edit any other language site, but I can add language link to particular article of other language to another language edition.
The "language link" I call here is [[en:xxxxx]] , [[ja:yyyyy]] , [[de:xxxx]] or [[nl:wwww]] etc., put on the very last in each article.
Not only me, but also some other user can add language link to other language for an article.
The advantage of consistent three buttons location of save page, show preview and show changes ( regardless of position order) among all languages edition is any user is able to have language link even he/she does not understand particular language.
For instance, I do not understand Deutsch, but I can link to Deutsch because Deutsch edition has the same button layout to other languages edition, such as Japanese and English edition.
If button location is changed, why I am asking to change all language edition, it still keep advantage of consistent button layout for all language edition allows user to put language link as it is now.
If you change button location only on Japanese edition site, it is better to have additional English description as follows.
"以上の記述を完全に理解し同意した上で投稿する(Save page)", "プレビュー実行(Show preview) and "差分を表示(Show change)".
Provided that English language is world common language and/or basic knowledge of PC user, having additional English description like above is mandatory for all language edition, not only Japanese edition.
This additional English note "(save page)", "(Show Preview)" and "(show changes)" for all language edition editing still allow user to link an article to other language even he/she does not know that language. [[User: Namazu-tron]]

Catrope added a comment.Via ConduitFeb 20 2008, 2:37 PM

(In reply to comment #5)

The advantage of consistent three buttons location of save page, show preview
and show changes ( regardless of position order) among all languages edition is
any user is able to have language link even he/she does not understand
particular language.
For instance, I do not understand Deutsch, but I can link to Deutsch because
Deutsch edition has the same button layout to other languages edition, such as
Japanese and English edition.

You should create an account at the DE wiki and change the interface language to English in Special:Preferences.

bzimport added a comment.Via ConduitFeb 20 2008, 7:15 PM

3tx38k wrote:

(In reply to comment #6)

(In reply to comment #5)
> The advantage of consistent three buttons location of save page, show preview
> and show changes ( regardless of position order) among all languages edition is
> any user is able to have language link even he/she does not understand
> particular language.
> For instance, I do not understand Deutsch, but I can link to Deutsch because
> Deutsch edition has the same button layout to other languages edition, such as
> Japanese and English edition.
You should create an account at the DE wiki and change the interface language
to English in Special:Preferences.

No, I am not talking I want to create account on DE edition.
What I am saying is that any user can have at least language link to another language as minimum edition activity.
Because even one do not understand other language, but the position or lay out of save page, show preview and show changes are the same among all language edition. One can manipulate each button for language linking, not able to edit in detail though.
You can manipulate Japanese editions save page, show preview and show changes, eve if you do not know Japanese language, because these button position is the same to English edition.

bzimport added a comment.Via ConduitFeb 21 2008, 6:22 AM

3tx38k wrote:

For all your clarity, I am repeating....

Placing cursor in Edit Summary frame and pressing Enter Key is not always intending to save page.
Current designation is may be de-fact action to save page due to Wikipedia design and/or location of "save page" button, I do not know exact logic of editing page of HTML program coding.
Pressing Enter key in Edit Summary frame is delimiter of summary sentence itself.
As custom of typing, Enter key pressing is end of fill-in comment, but not necessarily for save page.
Even user of English language, user may press Enter Key just as custom at end of sentence, but not always intending to save page.
English language user also have chance of merely pressing Enter Key by his error, carelessly without intending save page.
Japanese language user may have more erroneous chance of pressing Enter key in course of operation of IME (Input Media Editor), and it is said IME or IME like subprogram is used Chinese, Korean and Indic characters entry by keyboard. The keyboard is basically designed for English or alphabet character entry.
Among many language in world, some other language may or may not having IME like subprogram for that language or that characters entry, if so that language user has the same inconvenience Japanese language user has.
If erroneous pressing Enter key in the edit summary frame goes to show preview ( or Show Changes) , it is much safer way for Wikipedia itself.
I do not think that even English language user directly goes to save page without take step of show preview, in such context almost every one click "Show preview" button as recommended editing steps.
And, I believe that Pressing Enter Key within Edit summary frame DO NOT proceed any further ( not to save page), or DOES proceed to show preview is reasonable solution. Thank you. Namazu-tron

bzimport added a comment.Via ConduitFeb 21 2008, 6:36 AM

3tx38k wrote:

I now must say that title of initial subject "Request layout change on editing buttons " was wrong. The title should read " Do not let Editing process proceeds to save page when Enter key pressed in Edit summary frame".
I should drop the request of relocation button as far as newly titled function is effect.

Huji added a comment.Via ConduitFeb 21 2008, 1:08 PM

I changed the title.

bzimport added a comment.Via ConduitFeb 21 2008, 3:28 PM

3tx38k wrote:

(In reply to comment #10)

I changed the title.

Oh! Yes, that is what I am seeking and others too. Thanks.

brion added a comment.Via ConduitFeb 26 2008, 9:21 PM

It is desirable for the form to behave like all other web forms. Current behavior will continue.

bzimport added a comment.Via ConduitFeb 26 2008, 11:27 PM

3tx38k wrote:

(In reply to comment #12)

It is desirable for the form to behave like all other web forms. Current
behavior will continue.

Yes, it is common symptom to all other editing summary of all other site.
Current behavior will continue for some time but I hope not to forever.
How about to have a very small, inconspicuous or invisible button or vertical bar and assign it to show preview function in between edit summary and save page button or in front of show preview button.
It is not necessarily to modify all web sites immediately, it should be modified all site eventually though.
Have prioritize site by site. I hope Wikipedia and all site to be exist eternally as is people donating to foundation and should not continue such inconvenience condition forever.

bzimport added a comment.Via ConduitFeb 27 2008, 2:10 AM

3tx38k wrote:

Change resolution to LATER ( with my BIG Wish)

bzimport added a comment.Via ConduitFeb 27 2008, 2:17 AM

3tx38k wrote:

Repeat with adding e-mail for concerining people discussed shown above.

Change resolution to LATER ( with my BIG Wish)

Yes, it is common symptom to all other editing summary of all other site.
Current behavior will continue for some time but I hope not to forever.
How about to have a very small, inconspicuous or invisible button or vertical
bar and assign it to show preview function in between edit summary and save
page button or in front of show preview button.
It is not necessarily to modify all web sites immediately, it should be
modified all site eventually though.
Have prioritize site by site. I hope Wikipedia and all site to be exist
eternally as is people donating to foundation and should not continue such
inconvenience condition forever. Namazu-tron

Huji added a comment.Via ConduitFeb 27 2008, 10:04 AM

Of course, if a certain wiki desires that behaviour, they can implement it by modifying site JS. That won't affect users who don't use JavaScript, but is better than nothing.

brion added a comment.Via ConduitFeb 27 2008, 6:12 PM

Putting back to WONTFIX. This will not change.

bzimport added a comment.Via ConduitMar 7 2008, 2:05 AM

ayg wrote:

(In reply to comment #17)

Putting back to WONTFIX. This will not change.

As described, this is an accessibility problem for users who must use IMEs, which I guess includes all users of Japanese and Chinese at least. The current behavior is correct for users who use keyboards in the ordinary fashion, and is standard in that regard, but it may not be desirable for some languages.

The correct answer is definitely *not* to change the behavior for most of the sites in any way. English should keep its current behavior, which is better for English, because it saves a mouse click/Tab. The same is true for most other languages. As Brion says, this is standard for these languages. The proposed compromise (previewing instead of submitting) is bad for everyone: Japanese people still get random frustrating page reloads, other people are confused and forced to do extra mouse clicks. Not acceptable.

Ideally, this feature should be implemented by the browser: when using an IME, hitting enter in a text-input box should not result in a form submission. The browser knows when the user is using an IME (I guess); we do not. Failing that, a per-language or per-wiki workaround may be better than the current situation, if the users of the particular language/wiki want the change. There is no reason we should force the Japanese to use the same standards as everyone else if they have a legitimate reason for wanting different ones.

If desired, the following script (from http://jennifermadden.com/javascript/stringEnterKeyDetector.html, modified a bit and untested) should work in either user or site scripts:

checkEnter = function( e ) {

var characterCode;

if( e.which ){ // NN4
    characterCode = e.which;
} else { // IE
    e = event;
    characterCode = e.keyCode;
}

if( characterCode == 13 ){ // Enter key
    return false;
}

}

inputs = document.getElementsByType( 'input' );
for( i = inputs.length - 1; i >= 0; --i ) {

addHandler( inputs[i], 'keypress', checkEnter );

}

If the conclusion is that this decision is best made per-site, then it would be simplest to WONTFIX this and allow sites to add this themselves to their custom JavaScript, which also handily sidesteps the issue of figuring out if people actually want this. If it's best made per-language, this could be conditionally added to wikibits.js. Which is appropriate depends, IMO, on how much people actually want this feature in various languages, which is hard for English-only speakers to gauge. So I don't strongly disagree with the WONTFIX. This can be done adequately through site scripts and it's not clear to me whether there's enough of a consensus among speakers of any given language to change the defaults.

I would suggest in any case that you open a bug at https://bugzilla.mozilla.org/ asking for this to be changed in the browser: when the user is using an IME focused in a text input box, the enter key should not submit the form. No offense, but I suggest you get someone who knows English better to write up the request, since what you write is difficult to read.

bzimport added a comment.Via ConduitMar 7 2008, 3:35 AM

e.wikimedia wrote:

If you're worried about submitting edits without edit summaries, why not select the 'Prompt me when entering a blank edit summary' option under the 'Editing' tab of your [[Special:Preferences]]?

Certainly stops me from making that unlawful tap of the Enter key during this process ;)

bzimport added a comment.Via ConduitMar 7 2008, 11:10 AM

magnusrk+wiki wrote:

For what it's worth, using an IME to make edit summaries works fine for me in all browsers I've tried. Pressing enter finalizes the character selection, it only submits if you press enter a second time. This is the same as a regular user pressing enter the first time. It seems to me what is needed is a simple "protect me from myself" option (like the user script above) rather than anything related to IMEs.

bzimport added a comment.Via ConduitMar 8 2008, 12:43 PM

3tx38k wrote:

To set up user script requires some degree of PC skills. Wikipedia is make up by volunteer PC user and it is not prerequisite to edit article or discussion page in all language edition sites.
Also, I have checked Japanese language edition. but I could not find out "my preference" (in Japanese) on [[Special:Preferences]] page. Think about amateur or layman PC user and his/her editing and think about on any language edition of Wikipedia and its relating sites. I am not talking on problem on myself.
But talking all kind and every level of skilled users worldwide. Do not think on English language edition only.

bzimport added a comment.Via ConduitMar 8 2008, 1:15 PM

3tx38k wrote:

Any English edition user is able to select language, "ja:" for example, it specify some part is Japanese display of English edition, it does not affect Japanese language edition's user and his page, viewing the article nor edit history, nor etc. in Japanese edition.
In other word, selection of language on my preference on English language edition is effective within English language edition, it does not effect ja: user on Ja: site.
Again, ja: site has no my preference.

bzimport added a comment.Via ConduitMar 8 2008, 6:18 PM

3tx38k wrote:

Please do not focus on script implementation nor my preference setting on particular user's usage.
Wikipedia and related sites of Wikimedia Foundation inc. is encyclopedia which must be maintained even to 22 or 23 century.
Current popular web browser software such as Internet Explorer, Mozilla Firefox and others is just the current used one, and it is highly possible that more superior web browser may created in future.
If think about global scale in languages and eternal existence of Wikipedia sites, some or particular countermeasure(s) for IME or MIE like user is not welcomed solution for every editing user on every language edition. Armature or layman edit user on any language should not be required any knowledge or skill to participate editing by script implement or preference setting, all default setting on user's browser should not create any problem nor inconvenience. Do not forget the title "Pressing Enter in edit summary should not save the page".
Do not ask for million of user to implement script solution or set each one's my preference, instead ask or seek for SINGLE solution at Wikipedia site's behavior change for now and long long range or future.

bzimport added a comment.Via ConduitMar 9 2008, 12:48 AM

ayg wrote:

(In reply to comment #21)

To set up user script requires some degree of PC skills.

A script can be added to *site* JavaScript by any administrator, so that it works for all users of that particular site automatically.

bzimport added a comment.Via ConduitMar 9 2008, 3:31 PM

FT2.wiki wrote:

A suitable script could even be added to site javascript, that would have the following method:

  1. Site script contains the Alternate Enter Key = Preview code, but it hooks or doesn't hook it depending whether the user has a variable set in their monobook.js
  1. Site script recognizes when you have "preferences" open, and insert a check box for "Add/Remove Alternate Enter key Behavior (Preview Not Save)"
  1. When checked, adds the above variable to the user's monobook.js (if not present), and when cleared deletes it from that users monobook (if present).
bzimport added a comment.Via ConduitMar 9 2008, 4:36 PM

3tx38k wrote:

Thank you for all your comments.
I myself do not understand JavaScript what string of script to be and how to implement into where. However I noticed this page #13065 to Administrators and all concerning users on Japanese language edition, I hope they watch any progress on this #13065. Please keep on comments and discussion.
Thank you all again.

Add Comment